def var h as handle.
for each book: delete book. end.

create buffer h for table "book".

/* create */
do transaction:
   h:buffer-create.
   h:buffer-field("book-id"):buffer-value = 1.
   h:buffer-field("isbn"):buffer-value = "isbn1".
   undo, leave.
end.

find first book no-error.
if avail(book) then message "book-id: " + string(book.book-id).
else message "N/A".

do transaction:
   h:buffer-create.
   h:buffer-field("book-id"):buffer-value = 1.
   h:buffer-field("isbn"):buffer-value = "isbn1".
end.

find first book no-error.
if avail(book) then message "book-id: " + string(book.book-id).
else message "N/A".

/* update */
do transaction:
   h:buffer-field("book-id"):buffer-value = 2.
   h:buffer-field("isbn"):buffer-value = "isbn2".
   undo, leave.
end.

find first book no-error.
if avail(book) then message "book-id: " + string(book.book-id).
else message "N/A".

do transaction:
   h:buffer-field("book-id"):buffer-value = 2.
   h:buffer-field("isbn"):buffer-value = "isbn2".
end.

find first book no-error.
if avail(book) then message "book-id: " + string(book.book-id).
else message "N/A".

/* delete */
do transaction:
   h:buffer-delete.
   undo, leave.
end.

find first book no-error.
if avail(book) then message "book-id: " + string(book.book-id).
else message "N/A".

do transaction:
   h:buffer-delete.
end.

find first book no-error.
if avail(book) then message "book-id: " + string(book.book-id).
else message "N/A".

